OSDN Git Service

0d81acee770324615f5e17293a1fbb1f1e0ebd71
[pf3gnuchains/gcc-fork.git] / fastjar / Makefile.in
1 # Makefile.in generated by automake 1.8.5 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Process this with automake to create Makefile.in
18
19 SOURCES = $(grepjar_SOURCES) $(jar_SOURCES)
20
21 srcdir = @srcdir@
22 top_srcdir = @top_srcdir@
23 VPATH = @srcdir@
24 pkgdatadir = $(datadir)/@PACKAGE@
25 pkglibdir = $(libdir)/@PACKAGE@
26 pkgincludedir = $(includedir)/@PACKAGE@
27 top_builddir = .
28 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29 INSTALL = @INSTALL@
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 bin_PROGRAMS = jar$(EXEEXT) grepjar$(EXEEXT)
42 subdir = .
43 DIST_COMMON = README $(am__configure_deps) $(fastjar_TEXINFOS) \
44         $(srcdir)/../install-sh $(srcdir)/../missing \
45         $(srcdir)/../mkinstalldirs $(srcdir)/Makefile.am \
46         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
47         $(srcdir)/install-defs.sh.in $(top_srcdir)/configure AUTHORS \
48         COPYING ChangeLog INSTALL NEWS
49 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
50 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
51         $(top_srcdir)/../config/accross.m4 $(top_srcdir)/configure.ac
52 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
53         $(ACLOCAL_M4)
54 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
55  configure.lineno configure.status.lineno
56 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
57 CONFIG_HEADER = config.h
58 CONFIG_CLEAN_FILES = install-defs.sh
59 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"
60 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
61 PROGRAMS = $(bin_PROGRAMS)
62 am_grepjar_OBJECTS = jargrep.$(OBJEXT) dostime.$(OBJEXT) \
63         compress.$(OBJEXT) pushback.$(OBJEXT)
64 grepjar_OBJECTS = $(am_grepjar_OBJECTS)
65 am__DEPENDENCIES_1 =
66 am__DEPENDENCIES_2 = ../libiberty/libiberty.a
67 am_jar_OBJECTS = jartool.$(OBJEXT) dostime.$(OBJEXT) \
68         compress.$(OBJEXT) pushback.$(OBJEXT)
69 jar_OBJECTS = $(am_jar_OBJECTS)
70 DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
71 depcomp =
72 am__depfiles_maybe =
73 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
74         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
75 CCLD = $(CC)
76 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
77 SOURCES = $(grepjar_SOURCES) $(jar_SOURCES)
78 DIST_SOURCES = $(grepjar_SOURCES) $(jar_SOURCES)
79 INFO_DEPS = $(srcdir)/fastjar.info
80 am__TEXINFO_TEX_DIR = $(srcdir)/../gcc/doc/include
81 DVIS = fastjar.dvi
82 PDFS = fastjar.pdf
83 PSS = fastjar.ps
84 HTMLS = fastjar.html
85 TEXINFOS = fastjar.texi
86 TEXI2DVI = texi2dvi
87 TEXI2PDF = $(TEXI2DVI) --pdf --batch
88 MAKEINFOHTML = $(MAKEINFO) --html
89 AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
90 DVIPS = dvips
91 man1dir = $(mandir)/man1
92 NROFF = nroff
93 MANS = $(man_MANS)
94 ETAGS = etags
95 CTAGS = ctags
96 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
97 distdir = $(PACKAGE)-$(VERSION)
98 top_distdir = $(distdir)
99 am__remove_distdir = \
100   { test ! -d $(distdir) \
101     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
102          && rm -fr $(distdir); }; }
103 DIST_ARCHIVES = $(distdir).tar.gz
104 GZIP_ENV = --best
105 distuninstallcheck_listfiles = find . -type f -print
106 distcleancheck_listfiles = find . -type f -print
107 ACLOCAL = @ACLOCAL@
108 AMDEP_FALSE = @AMDEP_FALSE@
109 AMDEP_TRUE = @AMDEP_TRUE@
110 AMTAR = @AMTAR@
111 AUTOCONF = @AUTOCONF@
112 AUTOHEADER = @AUTOHEADER@
113 AUTOMAKE = @AUTOMAKE@
114 AWK = @AWK@
115 CC = @CC@
116 CCDEPMODE = @CCDEPMODE@
117 CFLAGS = @CFLAGS@
118 CHMOD = @CHMOD@
119 CP = @CP@
120 CPP = @CPP@
121 CPPFLAGS = @CPPFLAGS@
122 CYGPATH_W = @CYGPATH_W@
123 DEFS = @DEFS@
124 DEPDIR = @DEPDIR@
125 ECHO_C = @ECHO_C@
126 ECHO_N = @ECHO_N@
127 ECHO_T = @ECHO_T@
128 EGREP = @EGREP@
129 EXEEXT = @EXEEXT@
130 GENINSRC_FALSE = @GENINSRC_FALSE@
131 GENINSRC_TRUE = @GENINSRC_TRUE@
132 GREP = @GREP@
133 INSTALL_DATA = @INSTALL_DATA@
134 INSTALL_PROGRAM = @INSTALL_PROGRAM@
135 INSTALL_SCRIPT = @INSTALL_SCRIPT@
136 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
137 LDFLAGS = @LDFLAGS@
138 LIBOBJS = @LIBOBJS@
139 LIBS = @LIBS@
140 LTLIBOBJS = @LTLIBOBJS@
141 MAINT = @MAINT@
142 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
143 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
144 MAKEINFO = @MAKEINFO@
145 OBJEXT = @OBJEXT@
146 PACKAGE = @PACKAGE@
147 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
148 PACKAGE_NAME = @PACKAGE_NAME@
149 PACKAGE_STRING = @PACKAGE_STRING@
150 PACKAGE_TARNAME = @PACKAGE_TARNAME@
151 PACKAGE_VERSION = @PACKAGE_VERSION@
152 PATH_SEPARATOR = @PATH_SEPARATOR@
153 RM = @RM@
154 SET_MAKE = @SET_MAKE@
155 SHELL = @SHELL@
156 STRIP = @STRIP@
157 VERSION = @VERSION@
158 ZDEPS = @ZDEPS@
159 ZINCS = @ZINCS@
160 ZLIBS = @ZLIBS@
161 ac_ct_CC = @ac_ct_CC@
162 ac_ct_STRIP = @ac_ct_STRIP@
163 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
164 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
165 am__include = @am__include@
166 am__leading_dot = @am__leading_dot@
167 am__quote = @am__quote@
168 bindir = @bindir@
169 build_alias = @build_alias@
170 datadir = @datadir@
171 exec_prefix = @exec_prefix@
172 fastjar_warn_cflags = @fastjar_warn_cflags@
173 gcc_version = @gcc_version@
174 host_alias = @host_alias@
175 includedir = @includedir@
176 infodir = @infodir@
177 install_sh = @install_sh@
178 libdir = @libdir@
179 libexecdir = @libexecdir@
180 localstatedir = @localstatedir@
181 mandir = @mandir@
182 mkdir_p = @mkdir_p@
183 oldincludedir = @oldincludedir@
184 prefix = @prefix@
185 program_transform_name = @program_transform_name@
186 sbindir = @sbindir@
187 sharedstatedir = @sharedstatedir@
188 sysconfdir = @sysconfdir@
189 target_alias = @target_alias@
190 AUTOMAKE_OPTIONS = no-dependencies
191
192 # Work around what appears to be a GNU make bug handling MAKEFLAGS
193 # values defined in terms of make variables, as is the case for CC and
194 # friends when we are called from the top level Makefile.
195 AM_MAKEFLAGS = \
196         "AR_FLAGS=$(AR_FLAGS)" \
197         "CC_FOR_BUILD=$(CC_FOR_BUILD)" \
198         "CFLAGS=$(CFLAGS)" \
199         "CXXFLAGS=$(CXXFLAGS)" \
200         "CFLAGS_FOR_BUILD=$(CFLAGS_FOR_BUILD)" \
201         "CFLAGS_FOR_TARGET=$(CFLAGS_FOR_TARGET)" \
202         "INSTALL=$(INSTALL)" \
203         "INSTALL_DATA=$(INSTALL_DATA)" \
204         "INSTALL_PROGRAM=$(INSTALL_PROGRAM)" \
205         "INSTALL_SCRIPT=$(INSTALL_SCRIPT)" \
206         "JC1FLAGS=$(JC1FLAGS)" \
207         "LDFLAGS=$(LDFLAGS)" \
208         "LIBCFLAGS=$(LIBCFLAGS)" \
209         "LIBCFLAGS_FOR_TARGET=$(LIBCFLAGS_FOR_TARGET)" \
210         "MAKE=$(MAKE)" \
211         "MAKEINFO=$(MAKEINFO) $(MAKEINFOFLAGS)" \
212         "PICFLAG=$(PICFLAG)" \
213         "PICFLAG_FOR_TARGET=$(PICFLAG_FOR_TARGET)" \
214         "SHELL=$(SHELL)" \
215         "exec_prefix=$(exec_prefix)" \
216         "infodir=$(infodir)" \
217         "libdir=$(libdir)" \
218         "prefix=$(prefix)" \
219         "AR=$(AR)" \
220         "AS=$(AS)" \
221         "CC=$(CC)" \
222         "CXX=$(CXX)" \
223         "LD=$(LD)" \
224         "LIBCFLAGS=$(LIBCFLAGS)" \
225         "NM=$(NM)" \
226         "PICFLAG=$(PICFLAG)" \
227         "RANLIB=$(RANLIB)" \
228         "DESTDIR=$(DESTDIR)"
229
230 AM_CPPFLAGS = -I. -I$(top_srcdir) $(ZINCS) -I$(top_srcdir)/../include
231 LIBIBERTY = ../libiberty/libiberty.a
232 jar_SOURCES = jartool.c dostime.c compress.c pushback.c jartool.h \
233 zipfile.h dostime.h compress.h pushback.h
234
235 jar_LDADD = $(ZLIBS) $(LIBIBERTY)
236 jar_DEPENDENCIES = $(ZDEPS) $(LIBIBERTY)
237 grepjar_SOURCES = jargrep.c dostime.c compress.c pushback.c jartool.h \
238 zipfile.h dostime.h compress.h pushback.h
239
240 grepjar_LDADD = $(ZLIBS) $(LIBIBERTY)
241 grepjar_DEPENDENCIES = $(ZDEPS) $(LIBIBERTY)
242 AM_CFLAGS = @fastjar_warn_cflags@
243 AM_MAKEINFOFLAGS = -I $(srcdir)/../gcc/doc/include
244 TEXINFO_TEX = ../gcc/doc/include/texinfo.tex
245 info_TEXINFOS = fastjar.texi
246 fastjar_TEXINFOS = \
247         ../gcc/doc/include/gcc-common.texi \
248         ../gcc/doc/include/gpl.texi
249
250 man_MANS = jar.1 grepjar.1
251 EXTRA_DIST = $(man_MANS)
252 TEXI2POD = perl $(srcdir)/../contrib/texi2pod.pl
253 POD2MAN = pod2man --center="GNU" --release="gcc-@gcc_version@"
254 @GENINSRC_FALSE@STAMP_GENINSRC = 
255
256 # GCC LOCAL CHANGE
257 # The following commands allow us to release tarballs with the man pages
258 # and info documentation prebuilt.  This feature is enabled via 
259 # --enable-generated-files-in-srcdir in the configure script.
260 @GENINSRC_TRUE@STAMP_GENINSRC = stamp-geninsrc
261 CLEANFILES = stamp-geninsrc
262 MAINTAINERCLEANFILES = $(srcdir)/jar.1 \
263                        $(srcdir)/grepjar.1 \
264                        $(srcdir)/fastjar.info
265
266 all: config.h
267         $(MAKE) $(AM_MAKEFLAGS) all-am
268
269 .SUFFIXES:
270 .SUFFIXES: .1 .c .dvi .html .info .o .obj .pdf .pod .ps .texi
271 am--refresh:
272         @:
273 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
274         @for dep in $?; do \
275           case '$(am__configure_deps)' in \
276             *$$dep*) \
277               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
278               cd $(srcdir) && $(AUTOMAKE) --gnu  \
279                 && exit 0; \
280               exit 1;; \
281           esac; \
282         done; \
283         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
284         cd $(top_srcdir) && \
285           $(AUTOMAKE) --gnu  Makefile
286 .PRECIOUS: Makefile
287 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
288         @case '$?' in \
289           *config.status*) \
290             echo ' $(SHELL) ./config.status'; \
291             $(SHELL) ./config.status;; \
292           *) \
293             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
294             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
295         esac;
296
297 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
298         $(SHELL) ./config.status --recheck
299
300 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
301         cd $(srcdir) && $(AUTOCONF)
302 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
303         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
304
305 config.h: stamp-h1
306         @if test ! -f $@; then \
307           rm -f stamp-h1; \
308           $(MAKE) stamp-h1; \
309         else :; fi
310
311 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
312         @rm -f stamp-h1
313         cd $(top_builddir) && $(SHELL) ./config.status config.h
314 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
315         cd $(top_srcdir) && $(AUTOHEADER)
316         rm -f stamp-h1
317         touch $@
318
319 distclean-hdr:
320         -rm -f config.h stamp-h1
321 install-defs.sh: $(top_builddir)/config.status $(srcdir)/install-defs.sh.in
322         cd $(top_builddir) && $(SHELL) ./config.status $@
323 install-binPROGRAMS: $(bin_PROGRAMS)
324         @$(NORMAL_INSTALL)
325         test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
326         @list='$(bin_PROGRAMS)'; for p in $$list; do \
327           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
328           if test -f $$p \
329           ; then \
330             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
331            echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
332            $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
333           else :; fi; \
334         done
335
336 uninstall-binPROGRAMS:
337         @$(NORMAL_UNINSTALL)
338         @list='$(bin_PROGRAMS)'; for p in $$list; do \
339           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
340           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
341           rm -f "$(DESTDIR)$(bindir)/$$f"; \
342         done
343
344 clean-binPROGRAMS:
345         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
346 grepjar$(EXEEXT): $(grepjar_OBJECTS) $(grepjar_DEPENDENCIES) 
347         @rm -f grepjar$(EXEEXT)
348         $(LINK) $(grepjar_LDFLAGS) $(grepjar_OBJECTS) $(grepjar_LDADD) $(LIBS)
349 jar$(EXEEXT): $(jar_OBJECTS) $(jar_DEPENDENCIES) 
350         @rm -f jar$(EXEEXT)
351         $(LINK) $(jar_LDFLAGS) $(jar_OBJECTS) $(jar_LDADD) $(LIBS)
352
353 mostlyclean-compile:
354         -rm -f *.$(OBJEXT)
355
356 distclean-compile:
357         -rm -f *.tab.c
358
359 .c.o:
360         $(COMPILE) -c $<
361
362 .c.obj:
363         $(COMPILE) -c `$(CYGPATH_W) '$<'`
364
365 .texi.info:
366         restore=: && \
367         backupdir="$(am__leading_dot)am$$$$" && \
368         am__cwd=`pwd` && cd $(srcdir) && \
369         rm -rf $$backupdir && mkdir $$backupdir && \
370         for f in $@ $@-[0-9] $@-[0-9][0-9] $(@:.info=).i[0-9] $(@:.info=).i[0-9][0-9]; do \
371           if test -f $$f; then \
372             mv $$f $$backupdir; \
373             restore=mv; \
374           fi; \
375         done; \
376         cd "$$am__cwd"; \
377         if $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
378          -o $@ $<; \
379         then \
380           rc=0; \
381           cd $(srcdir); \
382         else \
383           rc=$$?; \
384           cd $(srcdir) && \
385           $$restore $$backupdir/* `echo "./$@" | sed 's|[^/]*$$||'`; \
386         fi; \
387         rm -rf $$backupdir; \
388         exit $$rc
389
390 .texi.dvi:
391         TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
392         MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
393         $(TEXI2DVI) $<
394
395 .texi.pdf:
396         TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
397         MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
398         $(TEXI2PDF) $<
399
400 .texi.html:
401         $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
402          -o $@ $<
403         if test ! -d $@ && test -d $(@:.html=); then \
404           mv $(@:.html=) $@; else :; fi
405 $(srcdir)/fastjar.info: fastjar.texi $(fastjar_TEXINFOS)
406 fastjar.dvi: fastjar.texi $(fastjar_TEXINFOS)
407 fastjar.pdf: fastjar.texi $(fastjar_TEXINFOS)
408 fastjar.html: fastjar.texi $(fastjar_TEXINFOS)
409 .dvi.ps:
410         $(DVIPS) -o $@ $<
411
412 uninstall-info-am:
413         $(PRE_UNINSTALL)
414         @if (install-info --version && \
415              install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
416           list='$(INFO_DEPS)'; \
417           for file in $$list; do \
418             relfile=`echo "$$file" | sed 's|^.*/||'`; \
419             echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
420             install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
421           done; \
422         else :; fi
423         @$(NORMAL_UNINSTALL)
424         @list='$(INFO_DEPS)'; \
425         for file in $$list; do \
426           relfile=`echo "$$file" | sed 's|^.*/||'`; \
427           relfile_i=`echo "$$relfile" | sed 's|\.info$$||;s|$$|.i|'`; \
428           (if cd "$(DESTDIR)$(infodir)"; then \
429              echo " rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9])"; \
430              rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]; \
431            else :; fi); \
432         done
433
434 dist-info: $(INFO_DEPS)
435         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
436         list='$(INFO_DEPS)'; \
437         for base in $$list; do \
438           case $$base in \
439             $(srcdir)/*) base=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
440           esac; \
441           if test -f $$base; then d=.; else d=$(srcdir); fi; \
442           for file in $$d/$$base*; do \
443             relfile=`expr "$$file" : "$$d/\(.*\)"`; \
444             test -f $(distdir)/$$relfile || \
445               cp -p $$file $(distdir)/$$relfile; \
446           done; \
447         done
448
449 mostlyclean-aminfo:
450         -rm -rf fastjar.aux fastjar.cp fastjar.cps fastjar.fn fastjar.fns fastjar.ky \
451           fastjar.kys fastjar.log fastjar.pg fastjar.pgs fastjar.tmp \
452           fastjar.toc fastjar.tp fastjar.tps fastjar.vr fastjar.vrs \
453           fastjar.dvi fastjar.pdf fastjar.ps fastjar.html
454
455 maintainer-clean-aminfo:
456         @list='$(INFO_DEPS)'; for i in $$list; do \
457           i_i=`echo "$$i" | sed 's|\.info$$||;s|$$|.i|'`; \
458           echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
459           rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
460         done
461 install-man1: $(man1_MANS) $(man_MANS)
462         @$(NORMAL_INSTALL)
463         test -z "$(man1dir)" || $(mkdir_p) "$(DESTDIR)$(man1dir)"
464         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
465         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
466         for i in $$l2; do \
467           case "$$i" in \
468             *.1*) list="$$list $$i" ;; \
469           esac; \
470         done; \
471         for i in $$list; do \
472           if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
473           else file=$$i; fi; \
474           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
475           case "$$ext" in \
476             1*) ;; \
477             *) ext='1' ;; \
478           esac; \
479           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
480           inst=`echo $$inst | sed -e 's/^.*\///'`; \
481           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
482           echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
483           $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
484         done
485 uninstall-man1:
486         @$(NORMAL_UNINSTALL)
487         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
488         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
489         for i in $$l2; do \
490           case "$$i" in \
491             *.1*) list="$$list $$i" ;; \
492           esac; \
493         done; \
494         for i in $$list; do \
495           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
496           case "$$ext" in \
497             1*) ;; \
498             *) ext='1' ;; \
499           esac; \
500           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
501           inst=`echo $$inst | sed -e 's/^.*\///'`; \
502           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
503           echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
504           rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
505         done
506
507 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
508         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
509         unique=`for i in $$list; do \
510             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
511           done | \
512           $(AWK) '    { files[$$0] = 1; } \
513                END { for (i in files) print i; }'`; \
514         mkid -fID $$unique
515 tags: TAGS
516
517 TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
518                 $(TAGS_FILES) $(LISP)
519         tags=; \
520         here=`pwd`; \
521         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
522         unique=`for i in $$list; do \
523             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
524           done | \
525           $(AWK) '    { files[$$0] = 1; } \
526                END { for (i in files) print i; }'`; \
527         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
528           test -n "$$unique" || unique=$$empty_fix; \
529           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
530             $$tags $$unique; \
531         fi
532 ctags: CTAGS
533 CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
534                 $(TAGS_FILES) $(LISP)
535         tags=; \
536         here=`pwd`; \
537         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
538         unique=`for i in $$list; do \
539             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
540           done | \
541           $(AWK) '    { files[$$0] = 1; } \
542                END { for (i in files) print i; }'`; \
543         test -z "$(CTAGS_ARGS)$$tags$$unique" \
544           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
545              $$tags $$unique
546
547 GTAGS:
548         here=`$(am__cd) $(top_builddir) && pwd` \
549           && cd $(top_srcdir) \
550           && gtags -i $(GTAGS_ARGS) $$here
551
552 distclean-tags:
553         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
554
555 distdir: $(DISTFILES)
556         $(am__remove_distdir)
557         mkdir $(distdir)
558         $(mkdir_p) $(distdir)/. $(distdir)/.. $(distdir)/../config $(distdir)/../gcc/doc/include
559         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
560         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
561         list='$(DISTFILES)'; for file in $$list; do \
562           case $$file in \
563             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
564             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
565           esac; \
566           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
567           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
568           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
569             dir="/$$dir"; \
570             $(mkdir_p) "$(distdir)$$dir"; \
571           else \
572             dir=''; \
573           fi; \
574           if test -d $$d/$$file; then \
575             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
576               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
577             fi; \
578             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
579           else \
580             test -f $(distdir)/$$file \
581             || cp -p $$d/$$file $(distdir)/$$file \
582             || exit 1; \
583           fi; \
584         done
585         $(MAKE) $(AM_MAKEFLAGS) \
586           top_distdir="$(top_distdir)" distdir="$(distdir)" \
587           dist-info
588         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
589           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
590           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
591           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
592         || chmod -R a+r $(distdir)
593 dist-gzip: distdir
594         $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
595         $(am__remove_distdir)
596
597 dist-bzip2: distdir
598         $(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
599         $(am__remove_distdir)
600
601 dist-tarZ: distdir
602         $(AMTAR) chof - $(distdir) | compress -c >$(distdir).tar.Z
603         $(am__remove_distdir)
604
605 dist-shar: distdir
606         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
607         $(am__remove_distdir)
608
609 dist-zip: distdir
610         -rm -f $(distdir).zip
611         zip -rq $(distdir).zip $(distdir)
612         $(am__remove_distdir)
613
614 dist dist-all: distdir
615         $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
616         $(am__remove_distdir)
617
618 # This target untars the dist file and tries a VPATH configuration.  Then
619 # it guarantees that the distribution is self-contained by making another
620 # tarfile.
621 distcheck: dist
622         case '$(DIST_ARCHIVES)' in \
623         *.tar.gz*) \
624           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf - ;;\
625         *.tar.bz2*) \
626           bunzip2 -c $(distdir).tar.bz2 | $(AMTAR) xf - ;;\
627         *.tar.Z*) \
628           uncompress -c $(distdir).tar.Z | $(AMTAR) xf - ;;\
629         *.shar.gz*) \
630           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
631         *.zip*) \
632           unzip $(distdir).zip ;;\
633         esac
634         chmod -R a-w $(distdir); chmod a+w $(distdir)
635         mkdir $(distdir)/_build
636         mkdir $(distdir)/_inst
637         chmod a-w $(distdir)
638         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
639           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
640           && cd $(distdir)/_build \
641           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
642             $(DISTCHECK_CONFIGURE_FLAGS) \
643           && $(MAKE) $(AM_MAKEFLAGS) \
644           && $(MAKE) $(AM_MAKEFLAGS) dvi \
645           && $(MAKE) $(AM_MAKEFLAGS) check \
646           && $(MAKE) $(AM_MAKEFLAGS) install \
647           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
648           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
649           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
650                 distuninstallcheck \
651           && chmod -R a-w "$$dc_install_base" \
652           && ({ \
653                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
654                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
655                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
656                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
657                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
658               } || { rm -rf "$$dc_destdir"; exit 1; }) \
659           && rm -rf "$$dc_destdir" \
660           && $(MAKE) $(AM_MAKEFLAGS) dist \
661           && rm -rf $(DIST_ARCHIVES) \
662           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
663         $(am__remove_distdir)
664         @(echo "$(distdir) archives ready for distribution: "; \
665           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
666           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
667 distuninstallcheck:
668         @cd $(distuninstallcheck_dir) \
669         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
670            || { echo "ERROR: files left after uninstall:" ; \
671                 if test -n "$(DESTDIR)"; then \
672                   echo "  (check DESTDIR support)"; \
673                 fi ; \
674                 $(distuninstallcheck_listfiles) ; \
675                 exit 1; } >&2
676 distcleancheck: distclean
677         @if test '$(srcdir)' = . ; then \
678           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
679           exit 1 ; \
680         fi
681         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
682           || { echo "ERROR: files left in build directory after distclean:" ; \
683                $(distcleancheck_listfiles) ; \
684                exit 1; } >&2
685 check-am: all-am
686 check: check-am
687 all-am: Makefile $(INFO_DEPS) $(PROGRAMS) $(MANS) config.h all-local
688 installdirs:
689         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"; do \
690           test -z "$$dir" || $(mkdir_p) "$$dir"; \
691         done
692 install: install-am
693 install-exec: install-exec-am
694 install-data: install-data-am
695 uninstall: uninstall-am
696
697 install-am: all-am
698         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
699
700 installcheck: installcheck-am
701 install-strip:
702         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
703           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
704           `test -z '$(STRIP)' || \
705             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
706 mostlyclean-generic:
707
708 clean-generic:
709         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
710
711 distclean-generic:
712         -rm -f $(CONFIG_CLEAN_FILES)
713
714 maintainer-clean-generic:
715         @echo "This command is intended for maintainers to use"
716         @echo "it deletes files that may require special tools to rebuild."
717         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
718 clean: clean-am
719
720 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
721
722 distclean: distclean-am
723         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
724         -rm -f Makefile
725 distclean-am: clean-am distclean-compile distclean-generic \
726         distclean-hdr distclean-tags
727
728 dvi: dvi-am
729
730 dvi-am: $(DVIS)
731
732 html: html-am
733
734 html-am: $(HTMLS)
735
736 info: info-am
737
738 info-am: $(INFO_DEPS)
739
740 install-data-am: install-info-am install-man
741
742 install-exec-am: install-binPROGRAMS
743
744 install-info: install-info-am
745
746 install-info-am: $(INFO_DEPS)
747         @$(NORMAL_INSTALL)
748         test -z "$(infodir)" || $(mkdir_p) "$(DESTDIR)$(infodir)"
749         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
750         list='$(INFO_DEPS)'; \
751         for file in $$list; do \
752           case $$file in \
753             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
754           esac; \
755           if test -f $$file; then d=.; else d=$(srcdir); fi; \
756           file_i=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \
757           for ifile in $$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \
758                        $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \
759             if test -f $$ifile; then \
760               relfile=`echo "$$ifile" | sed 's|^.*/||'`; \
761               echo " $(INSTALL_DATA) '$$ifile' '$(DESTDIR)$(infodir)/$$relfile'"; \
762               $(INSTALL_DATA) "$$ifile" "$(DESTDIR)$(infodir)/$$relfile"; \
763             else : ; fi; \
764           done; \
765         done
766         @$(POST_INSTALL)
767         @if (install-info --version && \
768              install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
769           list='$(INFO_DEPS)'; \
770           for file in $$list; do \
771             relfile=`echo "$$file" | sed 's|^.*/||'`; \
772             echo " install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\
773             install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
774           done; \
775         else : ; fi
776 install-man: install-man1
777
778 installcheck-am:
779
780 maintainer-clean: maintainer-clean-am
781         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
782         -rm -rf $(top_srcdir)/autom4te.cache
783         -rm -f Makefile
784 maintainer-clean-am: distclean-am maintainer-clean-aminfo \
785         maintainer-clean-generic
786
787 mostlyclean: mostlyclean-am
788
789 mostlyclean-am: mostlyclean-aminfo mostlyclean-compile \
790         mostlyclean-generic
791
792 pdf: pdf-am
793
794 pdf-am: $(PDFS)
795
796 ps: ps-am
797
798 ps-am: $(PSS)
799
800 uninstall-am: uninstall-binPROGRAMS uninstall-info-am uninstall-man
801
802 uninstall-man: uninstall-man1
803
804 .PHONY: CTAGS GTAGS all all-am all-local am--refresh check check-am \
805         clean clean-binPROGRAMS clean-generic ctags dist dist-all \
806         dist-bzip2 dist-gzip dist-info dist-shar dist-tarZ dist-zip \
807         distcheck distclean distclean-compile distclean-generic \
808         distclean-hdr distclean-tags distcleancheck distdir \
809         distuninstallcheck dvi dvi-am html html-am info info-am \
810         install install-am install-binPROGRAMS install-data \
811         install-data-am install-exec install-exec-am install-info \
812         install-info-am install-man install-man1 install-strip \
813         installcheck installcheck-am installdirs maintainer-clean \
814         maintainer-clean-aminfo maintainer-clean-generic mostlyclean \
815         mostlyclean-aminfo mostlyclean-compile mostlyclean-generic pdf \
816         pdf-am ps ps-am tags uninstall uninstall-am \
817         uninstall-binPROGRAMS uninstall-info-am uninstall-man \
818         uninstall-man1
819
820
821 .pod.1:
822         -($(POD2MAN) --section=1 $< > $(@).T$$$$ && \
823                 mv -f $(@).T$$$$ $@) || \
824                 (rm -f $(@).T$$$$ && exit 1)
825
826 .INTERMEDIATE: jar.pod grepjar.pod
827
828 jar.pod: $(srcdir)/fastjar.texi
829         -$(TEXI2POD) -D jar $< > $@
830
831 grepjar.pod: $(srcdir)/fastjar.texi
832         -$(TEXI2POD) -D grepjar $< > $@
833
834 all-local: $(STAMP_GENINSRC) 
835
836 stamp-geninsrc: jar.1 grepjar.1 fastjar.info
837         -cp -p $(top_builddir)/jar.1 $(srcdir)/jar.1
838         -cp -p $(top_builddir)/grepjar.1 $(srcdir)/grepjar.1
839         -cp -p $(top_builddir)/fastjar.info $(srcdir)/fastjar.info
840         touch $@
841 # Tell versions [3.59,3.63) of GNU make to not export all variables.
842 # Otherwise a system limit (for SysV at least) may be exceeded.
843 .NOEXPORT: